DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc > Class Template Reference

`#include <ocsd_dcd_mngr.h>`

Inheritance diagram for DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >:
[legend]
Collaboration diagram for DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >:
[legend]

## Public Member Functions

| DecodeMngrPktProc (const std::string &name, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecodeMngrPktProc ()
virtual TraceComponent * | createPktProc (const bool useInstID, const int instID)
virtual CSConfig * | createConfig (const void *pDataStruct)
Public Member Functions inherited from DecoderMngrBase< P, Pt, Pc >
| DecoderMngrBase (const std::string &decoderTypeName, ocsd_trace_protocol_t builtInProtocol)
virtual | ~DecoderMngrBase ()
virtual ocsd_err_t | createDecoder (const int create_flags, const int instID, const CSConfig *p_config, TraceComponent **p_component)
virtual ocsd_err_t | destroyDecoder (TraceComponent *p_component)
virtual const ocsd_trace_protocol_t | getProtocolType () const
| Get the built in protocol type ID managed by this instance - extern for custom decoders. More...
virtual ocsd_err_t | attachErrorLogger (TraceComponent *pComponent, ITraceErrorLog *pIErrorLog)
| attach error logger to ptk-processor, or both of pkt processor and pkt decoder pair More...
virtual ocsd_err_t | attachInstrDecoder (TraceComponent *pComponent, IInstrDecode *pIInstrDec)
| attach instruction decoder to pkt decoder More...
virtual ocsd_err_t | attachMemAccessor (TraceComponent *pComponent, ITargetMemAccess *pMemAccessor)
| attach memory accessor to pkt decoder More...
virtual ocsd_err_t | attachOutputSink (TraceComponent *pComponent, ITrcGenElemIn *pOutSink)
| attach generic output interface to pkt decoder More...
virtual ocsd_err_t | attachPktMonitor (TraceComponent *pComponent, ITrcTypedBase *pPktRawDataMon)
| attach a raw packet monitor to pkt processor (solo pkt processor, or pkt processor part of pair) More...
virtual ocsd_err_t | attachPktIndexer (TraceComponent *pComponent, ITrcTypedBase *pPktIndexer)
| attach a packet indexer to pkt processor (solo pkt processor, or pkt processor part of pair) More...
virtual ocsd_err_t | attachPktSink (TraceComponent *pComponent, ITrcTypedBase *pPktDataInSink)
| attach a packet data sink to pkt processor output (solo pkt processor only - instead of decoder when pkt processor only created.) More...
virtual ocsd_err_t | getDataInputI (TraceComponent *pComponent, ITrcDataIn **ppDataIn)
| get raw data input interface from packet processor More...
virtual ocsd_err_t | createConfigFromDataStruct (CSConfig **pConfigBase, const void *pDataStruct)
virtual TraceComponent * | createPktDecode (const bool useInstID, const int instID)
Public Member Functions inherited from IDecoderMngr
| IDecoderMngr ()
virtual | ~IDecoderMngr ()

## Detailed Description

### template<class P, class Pt, class Pc, class PcSt, class PktProc>
class DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >

Definition at line 417 of file ocsd_dcd_mngr.h.

## Constructor & Destructor Documentation

## DecodeMngrPktProc()

template<class P , class Pt , class Pc , class PcSt , class PktProc >

DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >::DecodeMngrPktProc | ( | const std::string & | name,
|  | ocsd_trace_protocol_t | builtInProtocol
| ) |  |

inline

Definition at line 420 of file ocsd_dcd_mngr.h.

## ~DecodeMngrPktProc()

template<class P , class Pt , class Pc , class PcSt , class PktProc >

virtual DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >::~DecodeMngrPktProc | ( |  | ) |

inline virtual

Definition at line 423 of file ocsd_dcd_mngr.h.

## Member Function Documentation

## createConfig()

template<class P , class Pt , class Pc , class PcSt , class PktProc >

virtual CSConfig* DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >::createConfig | ( | const void * | pDataStruct | ) |

inline virtual

Implements DecoderMngrBase< P, Pt, Pc >.

Definition at line 435 of file ocsd_dcd_mngr.h.

## createPktProc()

template<class P , class Pt , class Pc , class PcSt , class PktProc >

virtual TraceComponent* DecodeMngrPktProc< P, Pt, Pc, PcSt, PktProc >::createPktProc | ( | const bool | useInstID,
|  | const int | instID
| ) |  |

inline virtual

Implements DecoderMngrBase< P, Pt, Pc >.

Definition at line 425 of file ocsd_dcd_mngr.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/ocsd_dcd_mngr.h